<template>
  <Card
    :title="title"
    :subtitle="date"
  >
    <slot />
  </Card>
</template>

<script>
  import Card from './05 Card'

  export default {
    name: 'ArticlePreview',

    components: {
      Card
    },

    props: {
      title: {
        type: String,
        required: true
      },

      date: {
        type: String,
        default: undefined
      }
    }
  }
</script>
